This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 79155 - src.rpm package doesn't build correctly...
src.rpm package doesn't build correctly...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gphoto2 (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-06 09:57 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-06 09:57:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-12-06 09:57:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
I was trying to create patch to gphoto2 2.1.0-4, so that it would understand my
new Canon G3. After my first rebuild attempt on gphoto2 failed, I removed my
customized log file removed all gphoto2 stuff from %topdir/SOURCES and
%topdir/BUILDS/gphoto2*, reinstalled the src.rpm package, tried to rpmbuild it
without any changes and found out that it still fails to build. For that reason,
I would claim that there is something wrong with gphoto2 src.rpm build requirements.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install gphoto2 src.rpm
2.try to build it with "rpmbuild -ba gphoto2.spec"
3.
	

Actual Results:  It has two screenfuls of error message about libraries and
documents that got installed, but which aren't in %files section.

Expected Results:  I would expect that system either complains that you need
this or that package for building binary package out of this or it should build
binary packages nicely.

Additional info:

Finding  Provides: /usr/lib/rpm/find-provides
Finding  Requires: /usr/lib/rpm/find-requires
PreReq: rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <=
3.0.4-1
Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
Requires: gphoto2 = 2.1.0 pkgconfig /bin/sh
Checking for unpackaged file(s): /usr/lib/rpm/check-files
/home/jylitalo/RPM/tmp/gphoto2-2.1.0-root
error: Installed (but unpackaged) file(s) found:
   /usr/lib/gphoto2/2.1.0/libgphoto2_agfa.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_agfa.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_barbie.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_barbie.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_canon.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_canon.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_casio_qv.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_casio_qv.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_digita.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_digita.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_dimagev.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_dimagev.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_dimera3500.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_dimera3500.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_directory.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_directory.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_fuji.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_fuji.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_jamcam.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_jamcam.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_jd11.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_jd11.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_kodak_dc120.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_kodak_dc120.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_kodak_dc240.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_kodak_dc240.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_kodak_dc3200.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_kodak_dc3200.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_konica.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_konica.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_mustek.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_mustek.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_panasonic_coolshot.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_panasonic_coolshot.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_panasonic_dc1000.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_panasonic_dc1000.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_panasonic_dc1580.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_panasonic_dc1580.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_panasonic_l859.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_panasonic_l859.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_polaroid_pdc320.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_polaroid_pdc320.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_polaroid_pdc640.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_polaroid_pdc640.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_polaroid_pdc700.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_polaroid_pdc700.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_ptp.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_ptp.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_ricoh.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_ricoh.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_samsung.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_samsung.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_sierra.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_sierra.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_sipix.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_sipix.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_sony_dscf1.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_sony_dscf1.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_sony_dscf55.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_sony_dscf55.la
   /usr/lib/gphoto2/2.1.0/libgphoto2_stv0680.a
   /usr/lib/gphoto2/2.1.0/libgphoto2_stv0680.la
   /usr/lib/gphoto2_port/0.5.0/libgphoto2_port_serial.a
   /usr/lib/gphoto2_port/0.5.0/libgphoto2_port_serial.la
   /usr/lib/gphoto2_port/0.5.0/libgphoto2_port_usb.a
   /usr/lib/gphoto2_port/0.5.0/libgphoto2_port_usb.la
   /usr/lib/libgphoto2.a
   /usr/lib/libgphoto2_port.a
   /usr/share/doc/gphoto2/AUTHORS
   /usr/share/doc/gphoto2/COPYING
   /usr/share/doc/gphoto2/FAQ
   /usr/share/doc/gphoto2/NEWS
   /usr/share/doc/gphoto2/README
   /usr/share/doc/gphoto2/gphoto2-cli.txt
   /usr/share/doc/gphoto2/gphoto2.txt
   /usr/share/doc/gphoto2/html/api/canon/canon-canondriver.html
   /usr/share/doc/gphoto2/html/api/canon/index.html
   /usr/share/doc/gphoto2/html/api/canon/index.sgml
   /usr/share/doc/gphoto2/html/api/gphoto2-port/gphoto2-base.html
  
/usr/share/doc/gphoto2/html/api/gphoto2-port/gphoto2-port-gphoto2-port-info-list.html
  
/usr/share/doc/gphoto2/html/api/gphoto2-port/gphoto2-port-gphoto2-port-library.html
   /usr/share/doc/gphoto2/html/api/gphoto2-port/gphoto2-port-gphoto2-port-log.html
  
/usr/share/doc/gphoto2/html/api/gphoto2-port/gphoto2-port-gphoto2-port-result.html
   /usr/share/doc/gphoto2/html/api/gphoto2-port/gphoto2-port-gphoto2-port.html
   /usr/share/doc/gphoto2/html/api/gphoto2-port/gphoto2-port.html
   /usr/share/doc/gphoto2/html/api/gphoto2-port/index.html
   /usr/share/doc/gphoto2/html/api/gphoto2-port/index.sgml
   /usr/share/doc/gphoto2/html/api/gphoto2/gphoto2-camera.html
   /usr/share/doc/gphoto2/html/api/gphoto2/gphoto2-cameraabilitieslist.html
   /usr/share/doc/gphoto2/html/api/gphoto2/gphoto2-camerafile.html
   /usr/share/doc/gphoto2/html/api/gphoto2/gphoto2-camerafilesystem.html
   /usr/share/doc/gphoto2/html/api/gphoto2/gphoto2-cameralibrary.html
   /usr/share/doc/gphoto2/html/api/gphoto2/gphoto2-cameralist.html
   /usr/share/doc/gphoto2/html/api/gphoto2/gphoto2-camerawidget.html
   /usr/share/doc/gphoto2/html/api/gphoto2/gphoto2-gphoto2-error-codes.html
   /usr/share/doc/gphoto2/html/api/gphoto2/gphoto2.html
   /usr/share/doc/gphoto2/html/api/gphoto2/gphoto2base.html
   /usr/share/doc/gphoto2/html/api/gphoto2/gphoto2objects.html
   /usr/share/doc/gphoto2/html/api/gphoto2/index.html
   /usr/share/doc/gphoto2/html/api/gphoto2/index.sgml
   /usr/share/doc/gphoto2/html/api/gphoto2/license.html
   /usr/share/doc/gphoto2/html/figures/architecture.png
   /usr/share/doc/gphoto2/html/figures/gphotofs.png
   /usr/share/doc/gphoto2/html/figures/libgphoto2-api.png
   /usr/share/doc/gphoto2/html/figures/libgphoto2-camlib.png
   /usr/share/doc/gphoto2/html/figures/libgphoto2_port.png
   /usr/share/doc/gphoto2/html/manual/apa.html
   /usr/share/doc/gphoto2/html/manual/ch01.html
   /usr/share/doc/gphoto2/html/manual/ch02.html
   /usr/share/doc/gphoto2/html/manual/ch02s02.html
   /usr/share/doc/gphoto2/html/manual/ch02s03.html
   /usr/share/doc/gphoto2/html/manual/ch02s04.html
   /usr/share/doc/gphoto2/html/manual/ch03.html
   /usr/share/doc/gphoto2/html/manual/ch03s02.html
   /usr/share/doc/gphoto2/html/manual/ch03s03.html
   /usr/share/doc/gphoto2/html/manual/ch03s04.html
   /usr/share/doc/gphoto2/html/manual/ch04.html
   /usr/share/doc/gphoto2/html/manual/ch04s02.html
   /usr/share/doc/gphoto2/html/manual/figures/architecture.png
   /usr/share/doc/gphoto2/html/manual/figures/gphotofs.png
   /usr/share/doc/gphoto2/html/manual/figures/libgphoto2-api.png
   /usr/share/doc/gphoto2/html/manual/figures/libgphoto2-camlib.png
   /usr/share/doc/gphoto2/html/manual/figures/libgphoto2_port.png
   /usr/share/doc/gphoto2/html/manual/index.html
   /usr/share/doc/gphoto2/html/manual/rn01.html
...
Comment 1 Tim Waugh 2002-12-06 10:08:37 EST
Fixed package is gphoto-2.1.0-5 in rawhide.

But unpackaged-files-terminates-build defaults to off---perhaps you've modified
your RPM configuration?
Comment 2 Need Real Name 2002-12-06 10:21:26 EST
I guess I am going to try that rawhide version 
What comes to unpackaged-files-terminates-build defaults setting, I haven't done
any changes to that in home and office systems (originally RedHat 7.x
installation, which have then been upgraded) and yet they both have this turned on.
Comment 3 Miloslav Trmac 2002-12-06 18:01:06 EST
install redhat-rpm-config to get "the" defaults

Note You need to log in before you can comment on or make changes to this bug.